#!/usr/bin/env node
const { program } = require('commander')
const fs = require('fs')

program
  .command('tree [env]')
  .description('获取文件夹下的目录')
  .action((params) => {
    console.log(params, 'ppp')
    require('./tree.js')(params)
  })
program
  .command('fullpath [env] [fullpath]')
  .description('获取文件夹下的目录')
  .action((params, fullpath) => {
    require('./fullPath.js')(params, fullpath)
  })

program
  .command('create <filename>')
  .description('创建一个文件')
  .action((filename) => {
    require('./createDir.js')(filename)
  })
program
  .command('f <folder>')
  .description('创建一个文件夹')
  .action((folder) => {
    if (fs.existsSync(folder)) {
      console.log('文件夹已存在')
    } else {
      fs.mkdirSync(folder)
      console.log('文件夹创建成功')
    }
  })
// 处理命令行输入的参数
program.parse(process.argv)
